Skip to main content
PATCH
Change Customer Subscription

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

subscriptionId
string
required

ID of the Customer Subscription to get

Body

application/json
description
string

Description of the Subscription

Example:

"Contribution costs"

interval
string

The interval of which the subscription will be extended. Can be 14 days, 1 month, 2 months, 6 months or 1 year.

Example:

"1 year"

amount
string

Amount to be charged in Euro (EUR), as string.

Example:

"12.95"

vatRate
integer

The VAT rate percentage as integer. Can be 0, 9 or 21.

Example:

21

terminatedAt
string

Date and time the subscription was terminated, as format YYYY-mm-dd HH:mm:ss.

Example:

"2024-07-04 22:01:00"

Response

The updated Customer Subscription

Customer Subscription

id
string

ID of the subscription, always starting with sub_.

Example:

"sub__abc12345def678"

customerId
string

ID of the customer which the subscription belongs to.

Example:

"cst_abc12345def678"

description
string

Description of the subscription

Example:

"Website maintenance contract"

startsAt
string

Start date of the subscription. Formatted as YYYY-mm-dd.

Example:

"2024-04-29"

interval
string

The interval of which the subscription will be extended. Can be 14 days, 1 month, 2 months, 6 months or 1 year.

Example:

"1 year"

renewsAt
string

Date of when the subscription will be renewed next. Formatted as YYYY-mm-dd.

Example:

"2025-04-29"

currency
string

Currency of the subscription amount.

Example:

"EUR"

amount
string

Amount value as string.

Example:

"12.95"

vatRate
integer

The VAT rate percentage as integer. Can be 0, 9 or 21.

Example:

21

status
string

The current status of the subscription. Can be planned, in_progress, terminated or ended.

Example:

"in_progress"

options
object

Settings of the subscription

terminatedAt
string

Date and time when the subscription was terminated. Written in ATOM format.

Example:

"2024-04-29T21:00:00+02:00"

createdAt
string

Date and time when the subscription was added to MijnKlantportaal. Written in ATOM format.

Example:

"2024-04-29T21:00:00+02:00"